Index: branches/dev_001_SBC/NEMO/LIM_SRC/limtrp.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limtrp.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limtrp.F90	(revision 881)
@@ -1,13 +1,13 @@
-MODULE limtrp
+MODULE limtrp_2
    !!======================================================================
-   !!                       ***  MODULE limtrp   ***
-   !! LIM transport ice model : sea-ice advection/diffusion
+   !!                       ***  MODULE limtrp_2   ***
+   !! LIM 2.0 transport ice model : sea-ice advection/diffusion
    !!======================================================================
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   lim_trp      : advection/diffusion process of sea ice
-   !!   lim_trp_init : initialization and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!   lim_trp_2      : advection/diffusion process of sea ice
+   !!   lim_trp_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -17,10 +17,10 @@
    USE in_out_manager  ! I/O manager
    USE ice_oce         ! ice variables
-   USE dom_ice
-   USE ice
-   USE iceini
-   USE limistate
-   USE limadv
-   USE limhdf
+   USE dom_ice_2
+   USE ice_2
+   USE iceini_2
+   USE limistate_2
+   USE limadv_2
+   USE limhdf_2
    USE lbclnk
    USE lib_mpp
@@ -30,5 +30,5 @@
 
    !! * Routine accessibility
-   PUBLIC lim_trp       ! called by ice_step
+   PUBLIC lim_trp_2     ! called by sbc_ice_lim_2
 
    !! * Shared module variables
@@ -54,7 +54,7 @@
 CONTAINS
 
-   SUBROUTINE lim_trp( kt )
+   SUBROUTINE lim_trp_2( kt )
       !!-------------------------------------------------------------------
-      !!                   ***  ROUTINE lim_trp ***
+      !!                   ***  ROUTINE lim_trp_2 ***
       !!                    
       !! ** purpose : advection/diffusion process of sea ice
@@ -97,5 +97,5 @@
       !---------------------------------------------------------------------
 
-      IF( kt == nit000  )   CALL lim_trp_init      ! Initialization (first time-step only)
+      IF( kt == nit000  )   CALL lim_trp_init_2      ! Initialization (first time-step only)
 
       zsm(:,:) = area(:,:)
@@ -128,5 +128,5 @@
          IF (lk_mpp ) CALL mpp_max(zcfl)
 
-         IF ( zcfl > 0.5 .AND. lwp )   WRITE(numout,*) 'lim_trp : violation of cfl criterion the ',nday,'th day, cfl = ',zcfl
+         IF ( zcfl > 0.5 .AND. lwp )   WRITE(numout,*) 'lim_trp_2 : violation of cfl criterion the ',nday,'th day, cfl = ',zcfl
 
          ! content of properties
@@ -149,35 +149,35 @@
          IF ( MOD( nday , 2 ) == 0) THEN
             DO jk = 1,initad
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
-               CALL lim_adv_x( zusnit, zui_u, rone , zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
-               CALL lim_adv_y( zusnit, zvi_v, rzero, zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
+               CALL lim_adv_x_2( zusnit, zui_u, rone , zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rzero, zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
             END DO
          ELSE
             DO jk = 1, initad
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
-               CALL lim_adv_y( zusnit, zvi_v, rone , zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
-               CALL lim_adv_x( zusnit, zui_u, rzero, zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0ice, sxice, sxxice, syice, syyice, sxyice )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0sn , sxsn , sxxsn , sysn , syysn , sxysn  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0a  , sxa  , sxxa  , sya  , syya  , sxya   )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0c0 , sxc0 , sxxc0 , syc0 , syyc0 , sxyc0  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0c1 , sxc1 , sxxc1 , syc1 , syyc1 , sxyc1  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0c2 , sxc2 , sxxc2 , syc2 , syyc2 , sxyc2  )
+               CALL lim_adv_y_2( zusnit, zvi_v, rone , zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
+               CALL lim_adv_x_2( zusnit, zui_u, rzero, zsm, zs0st , sxst , sxxst , syst , syyst , sxyst  )
             END DO
          ENDIF
@@ -211,11 +211,11 @@
          ! diffusion
          ! ---------
-         CALL lim_hdf( zs0ice )
-         CALL lim_hdf( zs0sn  )
-         CALL lim_hdf( zs0a   )
-         CALL lim_hdf( zs0c0  )
-         CALL lim_hdf( zs0c1  )
-         CALL lim_hdf( zs0c2  )
-         CALL lim_hdf( zs0st  )
+         CALL lim_hdf_2( zs0ice )
+         CALL lim_hdf_2( zs0sn  )
+         CALL lim_hdf_2( zs0a   )
+         CALL lim_hdf_2( zs0c0  )
+         CALL lim_hdf_2( zs0c1  )
+         CALL lim_hdf_2( zs0c2  )
+         CALL lim_hdf_2( zs0st  )
 
          zs0ice(:,:) = MAX( rzero, zs0ice(:,:) * area(:,:) )    !!bug:  est-ce utile
@@ -278,10 +278,10 @@
       ENDIF
       
-   END SUBROUTINE lim_trp
-
-
-   SUBROUTINE lim_trp_init
+   END SUBROUTINE lim_trp_2
+
+
+   SUBROUTINE lim_trp_init_2
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_trp_init  ***
+      !!                  ***  ROUTINE lim_trp_init_2  ***
       !!
       !! ** Purpose :   initialization of ice advection parameters
@@ -303,10 +303,10 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_trp_init : Ice parameters for advection '
-         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) 'lim_trp_init_2 : Ice parameters for advection '
+         WRITE(numout,*) '~~~~~~~~~~~~~~'
          WRITE(numout,*) '   boundary conditions (0. no-slip, 1. free-slip) bound  = ', bound
       ENDIF
             
-   END SUBROUTINE lim_trp_init
+   END SUBROUTINE lim_trp_init_2
 
 #else
@@ -315,8 +315,8 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_trp        ! Empty routine
-   END SUBROUTINE lim_trp
+   SUBROUTINE lim_trp_2        ! Empty routine
+   END SUBROUTINE lim_trp_2
 #endif
 
    !!======================================================================
-END MODULE limtrp
+END MODULE limtrp_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limwri.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limwri.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limwri.F90	(revision 881)
@@ -1,5 +1,5 @@
-MODULE limwri
+MODULE limwri_2
    !!======================================================================
-   !!                     ***  MODULE  limwri  ***
+   !!                     ***  MODULE  limwri_2  ***
    !!         Ice diagnostics :  write ice output files
    !!======================================================================
@@ -7,11 +7,11 @@
    !!            2.0  ! 04-10  (C. Ethe )  1D configuration
    !!-------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_wri      : write of the diagnostics variables in ouput file 
-   !!   lim_wri_init : initialization and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_wri_2      : write of the diagnostics variables in ouput file 
+   !!   lim_wri_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
    USE phycst
@@ -21,6 +21,6 @@
    USE sbc_oce
    USE sbc_ice
-   USE dom_ice
-   USE ice
+   USE dom_ice_2
+   USE ice_2
 
    USE lbclnk
@@ -32,5 +32,5 @@
    PRIVATE
 
-   PUBLIC   lim_wri        ! routine called by sbcice_lim module
+   PUBLIC   lim_wri_2      ! routine called by sbc_ice_lim_2
 
    INTEGER, PARAMETER                       ::   jpnoumax = 40   ! maximum number of variable for ice output
@@ -55,5 +55,5 @@
    !!----------------------------------------------------------------------
    !!  LIM 2.0, UCL-LOCEAN-IPSL (2006)
-   !! $Header: $
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -65,5 +65,5 @@
    !!   'key_dimgout'                                    Direct Access file
    !!----------------------------------------------------------------------
-# include "limwri_dimg.h90"
+# include "limwri_dimg_2.h90"
 #else
    !!----------------------------------------------------------------------
@@ -71,7 +71,7 @@
    !!----------------------------------------------------------------------
 
-   SUBROUTINE lim_wri( kt )
-      !!-------------------------------------------------------------------
-      !!                    ***   ROUTINE lim_wri  ***
+   SUBROUTINE lim_wri_2( kt )
+      !!-------------------------------------------------------------------
+      !!                    ***   ROUTINE lim_wri_2  ***
       !!                
       !! ** Purpose :   write the sea-ice output file in NetCDF
@@ -96,5 +96,5 @@
       IF( kt == nit000 ) THEN                    !   Initialisation   !
          !                                       !--------------------!
-         CALL lim_wri_init 
+         CALL lim_wri_init_2 
                            
          zsto     = rdt_ice
@@ -183,11 +183,11 @@
       IF( ( nn_fsbc * niter + nit000 - 1 ) >= nitend )   CALL histclo( nice ) 
       !
-   END SUBROUTINE lim_wri
+   END SUBROUTINE lim_wri_2
    
 #endif
    
-   SUBROUTINE lim_wri_init
-      !!-------------------------------------------------------------------
-      !!                    ***   ROUTINE lim_wri_init  ***
+   SUBROUTINE lim_wri_init_2
+      !!-------------------------------------------------------------------
+      !!                    ***   ROUTINE lim_wri_init_2  ***
       !!                
       !! ** Purpose :   intialisation of LIM sea-ice output
@@ -255,6 +255,6 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_wri_init : Ice parameters for outputs'
-         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) 'lim_wri_init_2 : Ice parameters for outputs'
+         WRITE(numout,*) '~~~~~~~~~~~~~~'
          WRITE(numout,*) '    number of fields to be stored         noumef = ', noumef
          WRITE(numout,*) '           title                            name     unit      Saving (1/0) ',   &
@@ -266,15 +266,15 @@
       ENDIF
       !    
-   END SUBROUTINE lim_wri_init
+   END SUBROUTINE lim_wri_init_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module      NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_wri          ! Empty routine
-   END SUBROUTINE lim_wri
+   SUBROUTINE lim_wri_2          ! Empty routine
+   END SUBROUTINE lim_wri_2
 #endif
 
    !!======================================================================
-END MODULE limwri
+END MODULE limwri_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limwri_dimg.h90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limwri_dimg.h90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limwri_dimg.h90	(revision 881)
@@ -1,3 +1,3 @@
-    SUBROUTINE lim_wri(kt)
+    SUBROUTINE lim_wri_2(kt)
    !!----------------------------------------------------------------------
    !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
@@ -52,5 +52,5 @@
     IF ( kt == nit000 ) THEN 
 
-       CALL lim_wri_init 
+       CALL lim_wri_init_2 
 
        nwf = 0 
@@ -58,5 +58,5 @@
 
        IF (lwp ) THEN
-          WRITE(numout,*) 'lim_wri : Write ice outputs in dimg'
+          WRITE(numout,*) 'lim_wri_2 : Write ice outputs in dimg'
           WRITE(numout,*) '~~~~~~~~'
           WRITE(numout,*) '   According to namelist_ice, following fields saved:'
@@ -203,3 +203,3 @@
        END IF     !  MOD(kt+nn_fsbc-1-nit000+1, nwrite == 0 ) !
 
-     END SUBROUTINE lim_wri
+     END SUBROUTINE lim_wri_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/par_ice.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/par_ice.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/par_ice.F90	(revision 881)
@@ -1,5 +1,6 @@
-MODULE par_ice
+MODULE par_ice_2
+#if defined key_lim2
    !!======================================================================
-   !!                       ***  MODULE par_ice   ***
+   !!                       ***  MODULE par_ice_2   ***
    !! Sea-Ice model : definition of the parameters
    !!======================================================================
@@ -24,3 +25,4 @@
 
    !!======================================================================
-END MODULE par_ice
+#endif
+END MODULE par_ice_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/thd_ice.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/thd_ice.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/thd_ice.F90	(revision 881)
@@ -1,6 +1,7 @@
-MODULE thd_ice
+MODULE thd_ice_2
+#if defined key_lim2
    !!======================================================================
-   !!                       ***  MODULE thd_ice  ***
-   !! LIM sea-ice :   Ice thermodynamics in 1D
+   !!                       ***  MODULE thd_ice_2  ***
+   !! LIM 2.0 sea-ice :   Ice thermodynamics in 1D
    !!=====================================================================
    !! History :
@@ -12,5 +13,5 @@
    !!----------------------------------------------------------------------
    !! * Modules used
-   USE par_ice
+   USE par_ice_2
 
    IMPLICIT NONE
@@ -82,3 +83,4 @@
 
    !!======================================================================
-END MODULE thd_ice
+#endif
+END MODULE thd_ice_2
Index: branches/dev_001_SBC/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- branches/dev_001_SBC/NEMO/NST_SRC/agrif_user.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/NST_SRC/agrif_user.F90	(revision 881)
@@ -65,5 +65,5 @@
       USE sol_oce
       USE in_out_manager
-#if defined key_ice_lim
+#if defined key_lim2
       USE ice_oce
 #endif
Index: branches/dev_001_SBC/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/DIA/diawri.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/DIA/diawri.F90	(revision 881)
@@ -244,5 +244,5 @@
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
 #endif
-!!$#if ! defined key_dynspg_rl && defined key_ice_lim
+!!$#if ! defined key_dynspg_rl && defined key_lim2
 !!$         ! sowaflup = sowaflep + sorunoff + sowafldp + a term associated to
 !!$         !    internal damping to Levitus that can be diagnosed from others
@@ -282,5 +282,5 @@
 
 
-#if ( defined key_coupled && ! defined key_ice_lim ) 
+#if ( defined key_coupled && ! defined key_lim2 ) 
          CALL histdef( nid_T, "sohefldp", "Surface Heat Flux: Damping"         , "W/m2"   ,   &  ! qrp
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
@@ -308,5 +308,5 @@
 #endif
 
-#if defined key_ice_lim && defined key_coupled
+#if defined key_lim2 && defined key_coupled
          CALL histdef( nid_T,"soicetem" , "Ice Surface Temperature"            , "K"      ,   &  ! tn_ice
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
@@ -414,5 +414,5 @@
       CALL histwrite( nid_T, "sossheig", it, sshn          , ndim_hT, ndex_hT )   ! sea surface height
 #endif
-!!$#if ! defined key_dynspg_rl && defined key_ice_lim
+!!$#if ! defined key_dynspg_rl && defined key_lim2
 !!$      CALL histwrite( nid_T, "iowaflup", it, fsalt(:,:)    , ndim_hT, ndex_hT )   ! ice=>ocean water flux
 !!$      CALL histwrite( nid_T, "sowaflep", it, fmass(:,:)    , ndim_hT, ndex_hT )   ! atmos=>ocean water flux
@@ -434,5 +434,5 @@
       CALL histwrite( nid_T, "sosafldp", it, zw2d          , ndim_hT, ndex_hT )   ! salt flux damping
 #endif
-#if ( defined key_coupled && ! defined key_ice_lim ) 
+#if ( defined key_coupled && ! defined key_lim2 ) 
       CALL histwrite( nid_T, "sohefldp", it, qrp           , ndim_hT, ndex_hT )   ! heat flux damping
       CALL histwrite( nid_T, "sowafldp", it, erp           , ndim_hT, ndex_hT )   ! freshwater flux damping
@@ -452,5 +452,5 @@
       CALL histwrite( nid_T, "sohtc300", it, htc3          , ndim_hT, ndex_hT )   ! first 300m heaat content
 #endif
-#if defined key_ice_lim &&  defined key_coupled 
+#if defined key_lim2 &&  defined key_coupled 
       CALL histwrite( nid_T, "soicetem", it, tn_ice        , ndim_hT, ndex_hT )   ! surf. ice temperature
       CALL histwrite( nid_T, "soicealb", it, alb_ice       , ndim_hT, ndex_hT )   ! ice albedo
Index: branches/dev_001_SBC/NEMO/OPA_SRC/DIA/diawri_dimg.h90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 881)
@@ -186,5 +186,5 @@
        !        fsel(:,:,15) = fsel(:,:,15) + fbt(:,:)
        fsel(:,:,16) = fsel(:,:,16) + emps(:,:)
-#if defined key_ice_lim
+#if defined key_lim2
        fsel(:,:,17) = fsel(:,:,17) + fsalt(:,:)
 #endif
@@ -276,5 +276,5 @@
           !         fsel(:,:,15) =  fbt(:,:)
           fsel(:,:,16) =  emps(:,:) * tmask(:,:,1)
-#if defined key_ice_lim
+#if defined key_lim2
           fsel(:,:,17) =  fsalt(:,:) * tmask(:,:,1)
 #endif
Index: branches/dev_001_SBC/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/SBC/albedo.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/SBC/albedo.F90	(revision 881)
@@ -50,7 +50,7 @@
 CONTAINS
 
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                         LIM ice model
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                        LIM 2.0 ice model
    !!----------------------------------------------------------------------
 
@@ -68,5 +68,5 @@
       !! References :   Shine and Hendersson-Sellers 1985, JGR, 90(D1), 2243-2250.
       !!----------------------------------------------------------------------
-      USE ice             ! ???
+      USE ice_2             ! ???
       !!
       REAL(wp), INTENT(out), DIMENSION(jpi,jpj) ::   palb     ! albedo of ice under overcast sky
Index: branches/dev_001_SBC/NEMO/OPA_SRC/SBC/cpl_oasis3.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 881)
@@ -51,5 +51,5 @@
 
    USE oce, only: tn, un, vn
-   USE ice, only: frld, hicif, hsnif
+   USE ice_2, only: frld, hicif, hsnif
 
    IMPLICIT NONE
Index: branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 881)
@@ -6,7 +6,7 @@
    !! History :  9.0  !  06-08  (G. Modec)  Surface module
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   Lim sea-ice model
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
    USE par_oce          ! ocean parameters
Index: branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 881)
@@ -30,7 +30,6 @@
    USE albedo
    USE prtctl          ! Print control
-#if defined key_lim3
-   USE par_ice
-#elif defined key_lim2
+#if defined key_lim2
+   USE par_ice_2
    USE ice_2
 #endif
Index: branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 881)
@@ -27,5 +27,5 @@
    USE cpl_oasis4      ! OASIS4 coupling (to ECHAM5)
    USE geo2ocean, ONLY : repere, repcmo
-   USE ice, only       : frld       ! : leads fraction = 1-a/totalarea
+   USE ice_2, only     : frld       ! : leads fraction = 1-a/totalarea
 
    USE sbc_oce         ! Surface boundary condition: ocean fields
@@ -64,5 +64,5 @@
                        fr2_i0       ! : 2nd part of the fraction of sol.rad. which penetrate inside the ice cover
 
-   USE ice, only    : hicif ,     & ! : ice thickness
+   USE ice_2, only  : hicif ,     & ! : ice thickness
                       frld  ,     & ! : leads fraction = 1-a/totalarea
                       hsnif  ,    & ! : snow thickness
